Solved rca pro 10 operating system is not compatible, what can I do

May 8, 2015 at 18:04:28
Specs: android 4.4.2, 16
I have an rca pro 10 4.4.2 and it says it is not compatable with my os. I'm trying to install game of war re age.

See More: rca pro 10 operating system is not compatible, what can I do

Report •

#1
May 9, 2015 at 03:41:30
✔ Best Answer
game of war re age? Don't you mean Game of War - Fire Age?

Although your version of Android is okay for the game, it doesn't necessarily mean your particular device is compatible with the game. It depends what hardware is inside it (processor type etc).

See this thread, I know it refers to the RCA Voyager but the same applies to your RCA Pro 10:

http://forums.androidcentral.com/as...

message edited by phil22


Report •

#2
September 7, 2015 at 10:28:35
I was able to play game of war fire age up until yesterday and it now states it is not comparable for update. What do I do

Report •
Related Solutions


Ask Question